import React, {Component} from "react";
import styles from './Icon.module.scss';

interface IconProps {
    name: IconName;
}

export type IconName = 'logo' | 'back' | 'check' | 'chevronDown' | 'chevronLeft' | 'chevronRight' | 'chevronUp'
    | 'datepicker' | 'delete' | 'dropdownArrow' | 'edit' | 'erase' | 'error'
    | 'forward' | 'loading' | 'refresh' | 'search' | 'skipBack' | 'skipForward' | 'update' | 'claim'
    | 'claimOpen' | 'claimResolved' | 'claimEditing' | 'xlsx' | 'closeModal';

export class Icon extends Component<IconProps> {

    render() {
        let {name} = this.props;

        switch (name) {
            case 'xlsx':
                return (

                    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path opacity="0.16"
                              d="M2.40002 4C2.40002 1.79086 4.19089 0 6.40002 0H22.4L29.6 8V28C29.6 30.2091 27.8092 32 25.6 32H6.40002C4.19088 32 2.40002 30.2091 2.40002 28V4Z"
                              fill="#9DA0B2"/>
                        <path
                            d="M13.5811 19.2C13.4574 18.9525 13.3209 18.7029 13.1715 18.4512C13.0265 18.1952 12.8579 17.9349 12.6659 17.6704C12.6062 17.7472 12.5294 17.8538 12.4355 17.9904C12.3459 18.1269 12.2542 18.272 12.1603 18.4256C12.0707 18.5792 11.9854 18.7264 11.9043 18.8672C11.8233 19.008 11.7635 19.1189 11.7251 19.2H10.5859C10.7737 18.8544 10.9913 18.4917 11.2387 18.112C11.4905 17.7322 11.7699 17.329 12.0771 16.9024L10.6499 14.7648H11.8595L12.7235 16.1472L13.5683 14.7648H14.7075L13.2995 16.9152C13.6579 17.3802 13.9587 17.8112 14.2019 18.208C14.4451 18.6005 14.6371 18.9312 14.7779 19.2H13.5811Z"
                            fill="#39B86E"/>
                        <path d="M18.3159 18.3424V19.2H15.3527V14.7648H16.3511V18.3424H18.3159Z" fill="#39B86E"/>
                        <path
                            d="M20.2748 18.4384C20.4156 18.4384 20.5308 18.4277 20.6204 18.4064C20.7143 18.3808 20.7889 18.3488 20.8444 18.3104C20.8999 18.2677 20.9383 18.2186 20.9596 18.1632C20.9809 18.1077 20.9916 18.0458 20.9916 17.9776C20.9916 17.8325 20.9233 17.713 20.7868 17.6192C20.6503 17.521 20.4156 17.4165 20.0828 17.3056C19.9377 17.2544 19.7927 17.1968 19.6476 17.1328C19.5025 17.0645 19.3724 16.9813 19.2572 16.8832C19.142 16.7808 19.0481 16.6592 18.9756 16.5184C18.9031 16.3733 18.8668 16.1984 18.8668 15.9936C18.8668 15.7888 18.9052 15.6053 18.982 15.4432C19.0588 15.2768 19.1676 15.136 19.3084 15.0208C19.4492 14.9056 19.6199 14.8181 19.8204 14.7584C20.0209 14.6944 20.2471 14.6624 20.4988 14.6624C20.7975 14.6624 21.0556 14.6944 21.2732 14.7584C21.4908 14.8224 21.67 14.8928 21.8108 14.9696L21.5228 15.7568C21.3991 15.6928 21.2604 15.6373 21.1068 15.5904C20.9575 15.5392 20.7761 15.5136 20.5628 15.5136C20.3239 15.5136 20.1511 15.5477 20.0444 15.616C19.942 15.68 19.8908 15.7802 19.8908 15.9168C19.8908 15.9978 19.91 16.0661 19.9484 16.1216C19.9868 16.177 20.0401 16.2282 20.1084 16.2752C20.1809 16.3178 20.262 16.3584 20.3516 16.3968C20.4455 16.4309 20.5479 16.4672 20.6588 16.5056C20.8892 16.5909 21.0897 16.6762 21.2604 16.7616C21.4311 16.8426 21.5719 16.9386 21.6828 17.0496C21.798 17.1605 21.8833 17.2906 21.9388 17.44C21.9943 17.5893 22.022 17.7706 22.022 17.984C22.022 18.3978 21.8769 18.72 21.5868 18.9504C21.2967 19.1765 20.8593 19.2896 20.2748 19.2896C20.0785 19.2896 19.9015 19.2768 19.7436 19.2512C19.5857 19.2298 19.4449 19.2021 19.3212 19.168C19.2017 19.1338 19.0972 19.0976 19.0076 19.0592C18.9223 19.0208 18.8497 18.9845 18.79 18.9504L19.0716 18.1568C19.2039 18.2293 19.366 18.2954 19.558 18.3552C19.7543 18.4106 19.9932 18.4384 20.2748 18.4384Z"
                            fill="#39B86E"/>
                        <path opacity="0.4"
                              d="M23.2138 8H29.6C27.1291 5.41813 24.882 2.59566 22.4034 0V7.11109C22.3585 7.62572 22.7636 8 23.2138 8Z"
                              fill="#9DA0B2"/>
                    </svg>
                )
            case 'claimOpen':
                return (
                    <svg className={styles.icon} width="16" height="16" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M4.30325 12.6667L1.33325 15V2.66667C1.33325 2.48986 1.40349 2.32029 1.52851 2.19526C1.65354 2.07024 1.82311 2 1.99992 2H13.9999C14.1767 2 14.3463 2.07024 14.4713 2.19526C14.5963 2.32029 14.6666 2.48986 14.6666 2.66667V12C14.6666 12.1768 14.5963 12.3464 14.4713 12.4714C14.3463 12.5964 14.1767 12.6667 13.9999 12.6667H4.30325ZM2.66659 12.2567L3.84192 11.3333H13.3333V3.33333H2.66659V12.2567ZM7.33325 8.66667H8.66659V10H7.33325V8.66667ZM7.33325 4.66667H8.66659V8H7.33325V4.66667Z"
                        />
                    </svg>
                )
            case 'claimResolved':
                return (
                    <svg className={styles.icon} width="16" height="16" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M4.30325 12.6667L1.33325 15V2.66667C1.33325 2.48986 1.40349 2.32029 1.52851 2.19526C1.65354 2.07024 1.82311 2 1.99992 2H13.9999C14.1767 2 14.3463 2.07024 14.4713 2.19526C14.5963 2.32029 14.6666 2.48986 14.6666 2.66667V12C14.6666 12.1768 14.5963 12.3464 14.4713 12.4714C14.3463 12.5964 14.1767 12.6667 13.9999 12.6667H4.30325ZM3.84192 11.3333H13.3333V3.33333H2.66659V12.2567L3.84192 11.3333ZM7.52859 8.08067L10.3573 5.25267L11.2999 6.19533L7.52859 9.96667L4.93525 7.37333L5.87859 6.43067L7.52859 8.08067Z"
                        />
                    </svg>
                )
            case 'claimEditing':
                return (
                    <svg className={styles.icon} width="16" height="16" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M4.30325 12.6667L1.33325 15V2.66667C1.33325 2.48986 1.40349 2.32029 1.52851 2.19526C1.65354 2.07024 1.82311 2 1.99992 2H13.9999C14.1767 2 14.3463 2.07024 14.4713 2.19526C14.5963 2.32029 14.6666 2.48986 14.6666 2.66667V12C14.6666 12.1768 14.5963 12.3464 14.4713 12.4714C14.3463 12.5964 14.1767 12.6667 13.9999 12.6667H4.30325ZM3.84192 11.3333H13.3333V3.33333H2.66659V12.2567L3.84192 11.3333ZM7.33325 6.66667H8.66659V8H7.33325V6.66667ZM4.66659 6.66667H5.99992V8H4.66659V6.66667ZM9.99992 6.66667H11.3333V8H9.99992V6.66667Z"
                        />
                    </svg>
                )
            case 'claim':
                return (
                    <svg className={styles.icon} width="16" height="16" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M4.30398 12.6667L1.33398 15V2.66667C1.33398 2.48986 1.40422 2.32029 1.52925 2.19526C1.65427 2.07024 1.82384 2 2.00065 2H14.0007C14.1775 2 14.347 2.07024 14.4721 2.19526C14.5971 2.32029 14.6673 2.48986 14.6673 2.66667V12C14.6673 12.1768 14.5971 12.3464 14.4721 12.4714C14.347 12.5964 14.1775 12.6667 14.0007 12.6667H4.30398ZM2.66732 12.2567L3.84265 11.3333H13.334V3.33333H2.66732V12.2567ZM7.33398 8.66667H8.66732V10H7.33398V8.66667ZM7.33398 4.66667H8.66732V8H7.33398V4.66667Z"
                        />
                    </svg>
                )
            case 'logo':
                return (
                    <svg width="100%" height="100%" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M7.52385 4.89961C7.15786 3.99074 7.82695 3 8.80675 3H18.5145L21.8986 11.4038C22.2646 12.3127 21.5955 13.3034 20.6157 13.3034H10.9079L7.52385 4.89961Z"
                            fill="#00AEEF"/>
                        <path fillRule="evenodd" clipRule="evenodd"
                              d="M5.68494 5.76599L4.88604 6.70975C4.55009 7.10661 4.46513 7.65836 4.66611 8.1379L8.28017 16.7609H18.5556C18.9675 16.7609 19.358 16.5773 19.6208 16.26L20.6948 14.963H9.66318L5.68494 5.76599Z"
                              fill="#00AEEF"/>
                        <path fillRule="evenodd" clipRule="evenodd"
                              d="M5.68494 5.76599L4.88604 6.70975C4.55009 7.10661 4.46513 7.65836 4.66611 8.1379L8.28017 16.7609H18.5556C18.9675 16.7609 19.358 16.5773 19.6208 16.26L20.6948 14.963H9.66318L5.68494 5.76599Z"
                              fill="#00AEEF" fillOpacity="0.08"/>
                        <path fillRule="evenodd" clipRule="evenodd"
                              d="M3.12635 9.22363L2.32745 10.1674C1.9915 10.5642 1.90653 11.116 2.10752 11.5955L5.36599 19.3701C5.5814 19.8841 6.08423 20.2186 6.6415 20.2186H15.997C16.4089 20.2186 16.7994 20.0349 17.0622 19.7176L18.1362 18.4207H7.10459L3.12635 9.22363Z"
                              fill="#00AEEF"/>
                        <path fillRule="evenodd" clipRule="evenodd"
                              d="M3.12635 9.22363L2.32745 10.1674C1.9915 10.5642 1.90653 11.116 2.10752 11.5955L5.36599 19.3701C5.5814 19.8841 6.08423 20.2186 6.6415 20.2186H15.997C16.4089 20.2186 16.7994 20.0349 17.0622 19.7176L18.1362 18.4207H7.10459L3.12635 9.22363Z"
                              fill="#00AEEF" fillOpacity="0.16"/>
                    </svg>

                )
            case 'back':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M4.71926 8.272C4.67579 8.2412 4.64033 8.20043 4.61586 8.1531C4.59138 8.10578 4.57861 8.05328 4.57861 8C4.57861 7.94672 4.59138 7.89422 4.61586 7.84689C4.64033 7.79957 4.67579 7.7588 4.71926 7.728L9.4746 4.37066C9.52453 4.33548 9.58316 4.3147 9.6441 4.31057C9.70504 4.30645 9.76594 4.31915 9.82016 4.34729C9.87437 4.37543 9.91981 4.41792 9.95151 4.47013C9.98321 4.52234 9.99996 4.58225 9.99993 4.64333V11.3567C9.99996 11.4177 9.98321 11.4777 9.95151 11.5299C9.91981 11.5821 9.87437 11.6246 9.82016 11.6527C9.76594 11.6808 9.70504 11.6935 9.6441 11.6894C9.58316 11.6853 9.52453 11.6645 9.4746 11.6293L4.71926 8.272Z"
                            fill="unset"/>
                    </svg>
                )
            case 'check':
                return (
                    <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M2.66602 8.6665L5.99935 11.9998L13.3327 4.6665" stroke="#0BB664" strokeWidth="1.33"
                              strokeLinecap="round" strokeLinejoin="round"/>
                    </svg>

                )
            case 'chevronUp':
                return (
                    <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M7.9999 7.21868L11.2999 10.5187L12.2426 9.57601L7.9999 5.33334L3.75723 9.57601L4.6999 10.5187L7.9999 7.21868Z"
                            fill="white"/>
                    </svg>

                )
            case 'chevronDown':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M7.99999 8.78132L11.3 5.48132L12.2427 6.42399L7.99999 10.6667L3.75732 6.42399L4.69999 5.48132L7.99999 8.78132Z"
                            fill="unset"/>
                    </svg>
                )
            case 'chevronLeft':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M7.21859 7.99999L10.5186 11.3L9.57592 12.2427L5.33325 7.99999L9.57592 3.75732L10.5186 4.69999L7.21859 7.99999Z"
                            fill="unset"/>
                    </svg>

                )
            case 'chevronRight':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M8.78145 7.99999L5.48145 4.69999L6.42411 3.75732L10.6668 7.99999L6.42411 12.2427L5.48145 11.3L8.78145 7.99999Z"
                            fill="unset"/>
                    </svg>

                )
            case 'datepicker':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <rect x="5" y="3" width="3" height="3" rx="1.5" fill="unset"/>
                        <rect x="5" y="7" width="3" height="3" rx="1.5" fill="unset"/>
                        <rect x="5" y="11" width="3" height="3" rx="1.5" fill="unset"/>
                        <rect x="1" y="7" width="3" height="3" rx="1.5" fill="unset"/>
                        <rect x="1" y="11" width="3" height="3" rx="1.5" fill="unset"/>
                        <rect x="9" y="3" width="3" height="3" rx="1.5" fill="unset"/>
                        <rect x="9" y="7" width="3" height="3" rx="1.5" fill="unset"/>
                        <rect x="9" y="11" width="3" height="3" rx="1.5" fill="unset"/>
                        <rect x="13" y="3" width="3" height="3" rx="1.5" fill="unset"/>
                        <rect x="13" y="7" width="3" height="3" rx="1.5" fill="unset"/>
                    </svg>
                )
            case 'delete':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M6.66667 11.3331C6.84348 11.3331 7.01305 11.2629 7.13807 11.1378C7.2631 11.0128 7.33333 10.8432 7.33333 10.6664V7.99976C7.33333 7.82294 7.2631 7.65338 7.13807 7.52835C7.01305 7.40333 6.84348 7.33309 6.66667 7.33309C6.48986 7.33309 6.32029 7.40333 6.19526 7.52835C6.07024 7.65338 6 7.82294 6 7.99976V10.6664C6 10.8432 6.07024 11.0128 6.19526 11.1378C6.32029 11.2629 6.48986 11.3331 6.66667 11.3331ZM13.3333 4.66642H10.6667V3.99976C10.6667 3.46932 10.456 2.96062 10.0809 2.58554C9.70581 2.21047 9.1971 1.99976 8.66667 1.99976H7.33333C6.8029 1.99976 6.29419 2.21047 5.91912 2.58554C5.54405 2.96062 5.33333 3.46932 5.33333 3.99976V4.66642H2.66667C2.48986 4.66642 2.32029 4.73666 2.19526 4.86168C2.07024 4.98671 2 5.15628 2 5.33309C2 5.5099 2.07024 5.67947 2.19526 5.80449C2.32029 5.92952 2.48986 5.99976 2.66667 5.99976H3.33333V11.9998C3.33333 12.5302 3.54405 13.0389 3.91912 13.414C4.29419 13.789 4.8029 13.9998 5.33333 13.9998H10.6667C11.1971 13.9998 11.7058 13.789 12.0809 13.414C12.456 13.0389 12.6667 12.5302 12.6667 11.9998V5.99976H13.3333C13.5101 5.99976 13.6797 5.92952 13.8047 5.80449C13.9298 5.67947 14 5.5099 14 5.33309C14 5.15628 13.9298 4.98671 13.8047 4.86168C13.6797 4.73666 13.5101 4.66642 13.3333 4.66642ZM6.66667 3.99976C6.66667 3.82294 6.7369 3.65338 6.86193 3.52835C6.98695 3.40333 7.15652 3.33309 7.33333 3.33309H8.66667C8.84348 3.33309 9.01305 3.40333 9.13807 3.52835C9.2631 3.65338 9.33333 3.82294 9.33333 3.99976V4.66642H6.66667V3.99976ZM11.3333 11.9998C11.3333 12.1766 11.2631 12.3461 11.1381 12.4712C11.013 12.5962 10.8435 12.6664 10.6667 12.6664H5.33333C5.15652 12.6664 4.98695 12.5962 4.86193 12.4712C4.7369 12.3461 4.66667 12.1766 4.66667 11.9998V5.99976H11.3333V11.9998ZM9.33333 11.3331C9.51014 11.3331 9.67971 11.2629 9.80474 11.1378C9.92976 11.0128 10 10.8432 10 10.6664V7.99976C10 7.82294 9.92976 7.65338 9.80474 7.52835C9.67971 7.40333 9.51014 7.33309 9.33333 7.33309C9.15652 7.33309 8.98695 7.40333 8.86193 7.52835C8.73691 7.65338 8.66667 7.82294 8.66667 7.99976V10.6664C8.66667 10.8432 8.73691 11.0128 8.86193 11.1378C8.98695 11.2629 9.15652 11.3331 9.33333 11.3331Z"
                            fill="unset"/>
                    </svg>
                )
            case 'dropdownArrow':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M5.0406 6.33301C4.59515 6.33301 4.37207 6.87158 4.68705 7.18656L7.64661 10.1461C7.84187 10.3414 8.15845 10.3414 8.35372 10.1461L11.3133 7.18656C11.6283 6.87158 11.4052 6.33301 10.9597 6.33301H5.0406Z"
                            fill="unset"/>
                    </svg>
                )
            case 'edit':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M12.9333 4.89299L11.1066 3.06633C10.8682 2.84239 10.5558 2.7139 10.2288 2.7053C9.90187 2.69669 9.58314 2.80857 9.33329 3.01966L3.33329 9.01966C3.1178 9.23697 2.98362 9.5218 2.95329 9.82633L2.66662 12.6063C2.65764 12.704 2.67031 12.8024 2.70373 12.8946C2.73715 12.9868 2.79049 13.0705 2.85995 13.1397C2.92225 13.2014 2.99612 13.2503 3.07735 13.2835C3.15857 13.3167 3.24555 13.3335 3.33329 13.333H3.39329L6.17329 13.0797C6.47782 13.0493 6.76264 12.9151 6.97995 12.6997L12.98 6.69966C13.2128 6.45364 13.3387 6.12533 13.3299 5.78668C13.3212 5.44804 13.1786 5.12667 12.9333 4.89299ZM6.05329 11.7463L4.05329 11.933L4.23329 9.93299L7.99995 6.21299L9.79995 8.01299L6.05329 11.7463ZM10.6666 7.11966L8.87995 5.33299L10.18 3.99966L12 5.81966L10.6666 7.11966Z"
                            fill="unset"/>
                    </svg>
                )
            case 'erase':
                return (
                    <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M8.00048 7.05732L11.3005 3.75732L12.2431 4.69999L8.94315 7.99999L12.2431 11.3L11.3005 12.2427L8.00048 8.94266L4.70048 12.2427L3.75781 11.3L7.05781 7.99999L3.75781 4.69999L4.70048 3.75732L8.00048 7.05732Z"
                            fill="#F60B44"/>
                    </svg>

                )
            case 'error':
                return (
                    <svg width="100%" height="100%" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M7.99992 14.6666C11.6818 14.6666 14.6666 11.6818 14.6666 7.99992C14.6666 4.31802 11.6818 1.33325 7.99992 1.33325C4.31802 1.33325 1.33325 4.31802 1.33325 7.99992C1.33325 11.6818 4.31802 14.6666 7.99992 14.6666Z"
                            stroke="#F60B44" strokeWidth="1.33333" strokeLinecap="round" strokeLinejoin="round"/>
                        <path d="M8 5.33325V7.99992" stroke="#F60B44" strokeWidth="1.33333" strokeLinecap="round"
                              strokeLinejoin="round"/>
                        <path d="M8 10.6667H8.00667" stroke="#F60B44" strokeWidth="1.33333" strokeLinecap="round"
                              strokeLinejoin="round"/>
                    </svg>

                )
            case 'forward':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M6.52533 11.6293C6.4754 11.6645 6.41677 11.6853 6.35583 11.6894C6.29489 11.6935 6.23399 11.6808 6.17977 11.6527C6.12556 11.6246 6.08012 11.5821 6.04842 11.5299C6.01672 11.4777 5.99997 11.4177 6 11.3567V4.64333C5.99997 4.58225 6.01672 4.52234 6.04842 4.47013C6.08012 4.41792 6.12556 4.37543 6.17977 4.34729C6.23399 4.31915 6.29489 4.30645 6.35583 4.31057C6.41677 4.3147 6.4754 4.33548 6.52533 4.37066L11.2807 7.728C11.3241 7.7588 11.3596 7.79957 11.3841 7.84689C11.4085 7.89422 11.4213 7.94672 11.4213 8C11.4213 8.05328 11.4085 8.10578 11.3841 8.1531C11.3596 8.20043 11.3241 8.2412 11.2807 8.272L6.52533 11.6293Z"
                            fill="unset"/>
                    </svg>
                )
            case 'loading':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <circle cx="3" cy="8" r="1" fill="unset"/>
                        <circle cx="8" cy="8" r="1" fill="unset"/>
                        <circle cx="13" cy="8" r="1" fill="unset"/>
                    </svg>
                )
            case 'refresh':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M3.64192 2.95538C4.85162 1.90715 6.39924 1.33115 7.99992 1.33338C11.6819 1.33338 14.6666 4.31805 14.6666 8.00005C14.6666 9.42405 14.2199 10.744 13.4599 11.8267L11.3333 8.00005H13.3333C13.3333 6.95446 13.0261 5.93192 12.4497 5.05955C11.8733 4.18719 11.0532 3.50349 10.0914 3.09346C9.12954 2.68344 8.0684 2.56518 7.03989 2.75339C6.01138 2.9416 5.06089 3.42798 4.30659 4.15205L3.64192 2.95538ZM12.3579 13.0447C11.1482 14.0929 9.60059 14.6689 7.99992 14.6667C4.31792 14.6667 1.33325 11.682 1.33325 8.00005C1.33325 6.57605 1.77992 5.25605 2.53992 4.17338L4.66659 8.00005H2.66659C2.6665 9.04563 2.97375 10.0682 3.55014 10.9405C4.12653 11.8129 4.94663 12.4966 5.90847 12.9066C6.8703 13.3167 7.93144 13.4349 8.95995 13.2467C9.98845 13.0585 10.9389 12.5721 11.6933 11.848L12.3579 13.0447Z"
                            fill="unset"/>
                    </svg>
                )
            case 'search':
                return (
                    <svg width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path d="M10 10L13 13" stroke="#2A2F3B" strokeWidth="1.33" strokeLinecap="round"
                              strokeLinejoin="round"/>
                        <path
                            d="M7.1665 11.1666C9.37564 11.1666 11.1665 9.37577 11.1665 7.16663C11.1665 4.95749 9.37564 3.16663 7.1665 3.16663C4.95736 3.16663 3.1665 4.95749 3.1665 7.16663C3.1665 9.37577 4.95736 11.1666 7.1665 11.1666Z"
                            stroke="#2A2F3B" strokeWidth="1.33" strokeLinecap="round" strokeLinejoin="round"/>
                    </svg>
                )
            case 'skipBack':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M4.66667 4C4.84348 4 5.01305 4.07024 5.13807 4.19526C5.2631 4.32029 5.33333 4.48986 5.33333 4.66667V11.3333C5.33333 11.5101 5.2631 11.6797 5.13807 11.8047C5.01305 11.9298 4.84348 12 4.66667 12C4.48986 12 4.32029 11.9298 4.19526 11.8047C4.07024 11.6797 4 11.5101 4 11.3333V4.66667C4 4.48986 4.07024 4.32029 4.19526 4.19526C4.32029 4.07024 4.48986 4 4.66667 4ZM6.05267 8.272C6.00919 8.2412 5.97373 8.20043 5.94926 8.15311C5.92479 8.10578 5.91202 8.05328 5.91202 8C5.91202 7.94672 5.92479 7.89422 5.94926 7.84689C5.97373 7.79957 6.00919 7.7588 6.05267 7.728L10.808 4.37067C10.8579 4.33549 10.9166 4.3147 10.9775 4.31058C11.0384 4.30645 11.0993 4.31916 11.1536 4.34729C11.2078 4.37543 11.2532 4.41793 11.2849 4.47013C11.3166 4.52234 11.3334 4.58225 11.3333 4.64333V11.3567C11.3334 11.4177 11.3166 11.4777 11.2849 11.5299C11.2532 11.5821 11.2078 11.6246 11.1536 11.6527C11.0993 11.6808 11.0384 11.6935 10.9775 11.6894C10.9166 11.6853 10.8579 11.6645 10.808 11.6293L6.05267 8.272Z"
                            fill="unset"/>
                    </svg>
                )
            case 'skipForward':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M5.19208 11.6293C5.14215 11.6645 5.08352 11.6853 5.02258 11.6894C4.96164 11.6935 4.90073 11.6808 4.84652 11.6527C4.79231 11.6246 4.74687 11.5821 4.71517 11.5299C4.68346 11.4777 4.66671 11.4177 4.66675 11.3567V4.64333C4.66671 4.58225 4.68346 4.52234 4.71517 4.47013C4.74687 4.41793 4.79231 4.37543 4.84652 4.34729C4.90073 4.31916 4.96164 4.30645 5.02258 4.31058C5.08352 4.3147 5.14215 4.33549 5.19208 4.37067L9.94741 7.728C9.99089 7.7588 10.0263 7.79957 10.0508 7.84689C10.0753 7.89422 10.0881 7.94672 10.0881 8C10.0881 8.05328 10.0753 8.10578 10.0508 8.15311C10.0263 8.20043 9.99089 8.2412 9.94741 8.272L5.19208 11.6293ZM10.6667 4.66667C10.6667 4.48986 10.737 4.32029 10.862 4.19526C10.987 4.07024 11.1566 4 11.3334 4C11.5102 4 11.6798 4.07024 11.8048 4.19526C11.9298 4.32029 12.0001 4.48986 12.0001 4.66667V11.3333C12.0001 11.5101 11.9298 11.6797 11.8048 11.8047C11.6798 11.9298 11.5102 12 11.3334 12C11.1566 12 10.987 11.9298 10.862 11.8047C10.737 11.6797 10.6667 11.5101 10.6667 11.3333V4.66667Z"
                            fill="unset"/>
                    </svg>
                )
            case 'update':
                return (
                    <svg className={styles.icon} width="100%" height="100%" viewBox="0 0 16 16" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path fillRule="evenodd" clipRule="evenodd"
                              d="M11.1369 1.86299C10.8772 1.60329 10.4562 1.60329 10.1965 1.86299C9.93678 2.12269 9.93678 2.54374 10.1965 2.80344L10.728 3.33496H5.84207C3.87476 3.33496 2.33496 5.00031 2.33496 6.98507V7.99996C2.33496 8.36723 2.63269 8.66496 2.99996 8.66496C3.36723 8.66496 3.66496 8.36723 3.66496 7.99996V6.98507C3.66496 5.67257 4.67007 4.66496 5.84207 4.66496H11.3945L10.1965 5.86299C9.93678 6.12269 9.93678 6.54374 10.1965 6.80344C10.4562 7.06314 10.8772 7.06314 11.1369 6.80344L13.1369 4.80344C13.3966 4.54374 13.3966 4.12269 13.1369 3.86299L11.1369 1.86299Z"
                              fill="unset"/>
                        <path fillRule="evenodd" clipRule="evenodd"
                              d="M13.665 7.99996C13.665 7.63269 13.3672 7.33496 13 7.33496C12.6327 7.33496 12.335 7.63269 12.335 7.99996V8.76114C12.335 9.49123 11.5168 10.335 10.1579 10.335H4.93867L5.80344 9.47019C6.06314 9.21049 6.06314 8.78943 5.80344 8.52973C5.54374 8.27004 5.12269 8.27004 4.86299 8.52973L2.86299 10.5297C2.60329 10.7894 2.60329 11.2105 2.86299 11.4702L4.86299 13.4702C5.12269 13.7299 5.54374 13.7299 5.80344 13.4702C6.06314 13.2105 6.06314 12.7894 5.80344 12.5297L4.93866 11.665H10.1579C11.9382 11.665 13.665 10.504 13.665 8.76114V7.99996Z"
                              fill="unset"/>
                    </svg>
                )
            case 'closeModal':
                return (
                    <svg className={styles.icon} width="24" height="24" viewBox="0 0 24 24" fill="none"
                         xmlns="http://www.w3.org/2000/svg">
                        <path fillRule="evenodd" clipRule="evenodd"
                              d="M7.27614 5.39052C6.75544 4.86983 5.91122 4.86983 5.39052 5.39052C4.86983 5.91122 4.86983 6.75544 5.39052 7.27614L10.4479 12.3335L5.39085 17.3905C4.87015 17.9112 4.87015 18.7554 5.39085 19.2761C5.91155 19.7968 6.75577 19.7968 7.27647 19.2761L12.3335 14.2191L17.3905 19.2761C17.9112 19.7968 18.7554 19.7968 19.2761 19.2761C19.7968 18.7554 19.7968 17.9112 19.2761 17.3905L14.2191 12.3335L19.2765 7.27614C19.7972 6.75544 19.7972 5.91122 19.2765 5.39052C18.7558 4.86983 17.9115 4.86983 17.3909 5.39052L12.3335 10.4479L7.27614 5.39052Z"
                              fill="#D9DCE1"/>
                        <path fillRule="evenodd" clipRule="evenodd"
                              d="M7.27614 5.39052C6.75544 4.86983 5.91122 4.86983 5.39052 5.39052C4.86983 5.91122 4.86983 6.75544 5.39052 7.27614L10.4479 12.3335L5.39085 17.3905C4.87015 17.9112 4.87015 18.7554 5.39085 19.2761C5.91155 19.7968 6.75577 19.7968 7.27647 19.2761L12.3335 14.2191L17.3905 19.2761C17.9112 19.7968 18.7554 19.7968 19.2761 19.2761C19.7968 18.7554 19.7968 17.9112 19.2761 17.3905L14.2191 12.3335L19.2765 7.27614C19.7972 6.75544 19.7972 5.91122 19.2765 5.39052C18.7558 4.86983 17.9115 4.86983 17.3909 5.39052L12.3335 10.4479L7.27614 5.39052Z"
                              fill="#2A2F3B" fillOpacity="0.16"/>
                    </svg>
                )
            default:
                return <div>{name}!</div>
        }
    }
}
